Package csb :: Package statistics :: Package samplers :: Package mc :: Module multichain :: Class SwapStatistics

[frames] | no frames]

# Class SwapStatistics

source code

    object --+
             |
            SwapStatistics

Tracks swap statistics for an AbstractExchangeMC subclass instance.

Instance Methods

__init__(self, param_infos) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| acceptance_rates Returns acceptance rates for all swaps.
| stats
Inherited from `object`: `__class__`

Method Details

### __init__(self, param_infos)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `param_infos` (list of AbstractSwapParameterInfo) - list of ParameterInfo instances providing information needed for performing swaps
Overrides: object.__init__
  (inherited documentation)

Property Details

### acceptance_rates

Returns acceptance rates for all swaps.

Get Method:
  unreachable.acceptance_rates(self) - Returns acceptance rates for all swaps.

### stats

Get Method:
  unreachable.stats(self)